Skip to main content
GET
/
models
/
{model_id}
/
model_runs
List model runs
curl --request GET \
  --url https://app.gomangrove.com/api/v1/models/{model_id}/model_runs \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": 1,
      "start_time": "2025-01-01T00:00:00.000Z",
      "end_time": "2025-03-31T23:59:59.000Z",
      "state": "complete",
      "error_message": null,
      "created_at": "2025-01-15T10:00:00.000Z",
      "updated_at": "2025-01-15T10:00:00.000Z",
      "calculations": [
        {
          "id": 1,
          "name": "Net Carbon Removal",
          "value": 100.5,
          "unit": "t",
          "ghg": "co2e",
          "lca_role": "net",
          "category": "removal"
        }
      ],
      "output_data_points": [
        {
          "id": "dp_abc123",
          "slug": "net-carbon-removal",
          "data_point_type": "Net Carbon Removal",
          "value": 100.5,
          "unit": "t",
          "status": "complete"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Path Parameters

model_id
string
required

Model friendly ID (e.g., mdl_abc123def456)

Query Parameters

page
integer<int32>
default:1
page_size
integer<int32>
default:10

Response

200 - application/json

200

data
object[]